64位UbuntuLinux环境下搭建Elicpse-阿里云开发者社区

开发者社区> 开发与运维> 正文
登录阅读全文

64位UbuntuLinux环境下搭建Elicpse

简介: 64位UbuntuLinux环境下搭建Elicpse 一、系统版本 笔者Linux系统版本 Linuxversion 3.2.0-26-generic (buildd@batsu) (gcc version 4.

64UbuntuLinux环境下搭建Elicpse


一、系统版本

笔者Linux系统版本

Linuxversion 3.2.0-26-generic (buildd@batsu) (gcc version 4.6.3(Ubuntu/Linaro 4.6.3-1ubuntu5) ) #41-Ubuntu SMP Thu Jun 14 17:49:24UTC 2012


Linuxversion 3.2.0-26-generic #41-Ubuntu SMP Thu Jun 14 17:49:24 UTC 2012x86_64 x86_64 x86_64 GNU/Linux


小结:64位的3.2.0版本UbuntuLinux系统

二、下载


1.JRE

JREJava运行环境的软件包的下载地址:

http://java.com/zh_CN/download/linux_manual.jsp?locale=zh_CN

下载该文件

jre-7u5-linux-x64.tar.gz


2.Eclipse


软件下载地址:

http://www.eclipse.org/downloads/


下载 Eclipse IDE for C/C++ Developers软件版本,意即

eclipse-cpp-juno-linux-gtk-x86_64.tar.gz


三、安装

1.JRE

安装步骤:

1.以高级管理root用户,进行操作,使用命令sudo-su root

2./usr/java目录下解压jre-7u5-linux-x64.tar.gz,使用命令:

tar zvxf jre-7u5-linux-x64.tar.gz

3./etc目录下修改profile,添加如下三句话。

exportJAVA_HOME=/usr/java/jre1.7.0_05

exportPATH=$JAVA_HOME/bin:$PATH

exportCLASSPATH=$JAVA_HOME/lib:$CLASSPATH

目的就是:配置JAVA运行路径,JAVA库的所在路径,简而言之,JAVA运行环境参数配置。

4.一定要重启机器,然后运行java-version命令,以进行测试JRE是否安装好没有。

运行java-version命令,出现如下提示,说明JREJava运行环境安装正确。

javaversion "1.7.0_05"

Java(TM)SE Runtime Environment (build 1.7.0_05-b06)

JavaHotSpot(TM) 64-Bit Server VM (build 23.1-b03, mixed mode)


2.eclipse

首先打开终端,然后转到压缩包所在目录下,输入指令tarzvxfeclipse-cpp-juno-linux-gtk-x86_64.tar.gz解压得到Eclipse文件夹,转到该目录下执行./eclipse

如果出现以下错误提示信息



说明目前的Linux机器上没有Java运行环境,需要安装JREJava运行环境)或者说JDKJava开发包)。


四、小结

需要安装JREJava运行环境安装包,以及Eclipse应用软件两大软件。

千万记得安装完Java运行环境安装包,要重新启动机器,让配置生效。



版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享:
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

其他文章